POST /api/v3/rate

Create a rate schedule

CreateRateV3 Permissions: RateSchedules (Create)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

RateCreate
Property Description Type
commodityId Required integer (int32)
name Required Must be between 0 and 255 characters string
note Must be between 0 and 255 characters string
vendorId Required integer (int32)
Example Request Body application/json
{  "commodityId": 1,  "name": "string",  "note": "string",  "vendorId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

RateResponse
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
name string
note string
rateId integer (int32)
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
versions VersionResponse[]
VersionResponse properties
Property Description Type
beginDate string (date-time)
endDate string (date-time)
versionId integer (int32)
Example Response application/json
{  "commodity": {    "commodityCode": "string",    "commodityIcon": {      "code": "string",      "color": "string"
    },    "commodityId": 1,    "commodityInfo": "string"
  },  "name": "string",  "note": "string",  "rateId": 1,  "vendor": {    "vendorCode": "string",    "vendorId": 1,    "vendorInfo": "string"
  },  "versions": [
    {    "beginDate": "2026-03-30",    "endDate": "2026-03-30",    "versionId": 1
  }
  ]
}